Bug 736989 - bkr distros-list throws SQL error
Summary: bkr distros-list throws SQL error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 736075
TreeView+ depends on / blocked
 
Reported: 2011-09-09 09:19 UTC by Tomas Kopecek
Modified: 2019-05-22 13:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-20 06:18:57 UTC


Attachments (Terms of Use)

Description Tomas Kopecek 2011-09-09 09:19:16 UTC
bkr distros-list --treepath '%RHEL6.2-%' --tag STABLE --limit 1

returns:
XML-RPC fault: sqlalchemy.exceptions.InvalidRequestError:Select statement 'SELECT 1 
FROM distro, distro_lab_controller_map 
WHERE distro.id = distro_lab_controller_map.distro_id' returned no FROM clauses due to auto-correlation; specify correlate(<tables>) to control correlation manually.

Used rpms:
beaker-client-0.7.1-1.el5.noarch
beaker-0.7.1-1.el5.noarch

It is probably some regression. It was working some time ago, now I can't get any result with --treepath argument


Note You need to log in before you can comment on or make changes to this bug.